Package com.macrofocus.high_d.parallelcoordinates.geometry

# Enum Class Geometry

java.lang.Object
java.lang.Enum<Geometry>
com.macrofocus.high_d.parallelcoordinates.geometry.Geometry

All Implemented Interfaces:
  `Serializable`, `Comparable<Geometry>`, `Constable`

public enum Geometry extends Enum<Geometry>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Polycurves`
  `Polylines`
  `Steps`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract <Color, R> com.macrofocus.geom.Shape`
  `createGeometry(ParallelCoordinatesView view, ParallelCoordinatesModel<Color,R,?> model, int fullHeight, int layer, R row, int level)`
  `static double`
  `getY(int fullHeight, int height, int offset, double value, com.macrofocus.high_d.axis.AxisModel axisModel)`
  `static Geometry`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Geometry[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Polylines

    public static final Geometry Polylines

  - ### Steps

    public static final Geometry Steps

  - ### Polycurves

    public static final Geometry Polycurves

- ## Method Details

  - ### values

    public static Geometry[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Geometry valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### createGeometry

    public abstract <Color, R> com.macrofocus.geom.Shape createGeometry(ParallelCoordinatesView view, ParallelCoordinatesModel<Color,R,?> model, int fullHeight, int layer, R row, int level)

  - ### getY

    public static double getY(int fullHeight, int height, int offset, double value, com.macrofocus.high_d.axis.AxisModel axisModel)